org.keycloak.saml.processing.core.saml.v1.writers

## Class SAML11ResponseWriter

- java.lang.Object
- - org.keycloak.saml.processing.core.saml.v1.writers.BaseSAML11Writer
  - - org.keycloak.saml.processing.core.saml.v1.writers.SAML11ResponseWriter

-     public class SAML11ResponseWriter
      extends BaseSAML11Writer

  Write the `SAML11ResponseType` to stream
  Since:
    Jun 29, 2011
  Author:
    Anil.Saldhana@redhat.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SAML11AssertionWriter` | `assertionWriter`
    `protected String` | `namespace`

    - ### Fields inherited from class org.keycloak.saml.processing.core.saml.v1.writers.BaseSAML11Writer

      `ASSERTION_PREFIX, logger, PROTOCOL_PREFIX, writer, XACML_SAML_PREFIX, XACML_SAML_PROTO_PREFIX, XSI_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML11ResponseWriter(XMLStreamWriter writer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(SAML11ResponseType response)`
    `void` | `write(SAML11StatusCodeType statusCode)`
    `void` | `write(SAML11StatusType status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### namespace

          protected String namespace

    - #### assertionWriter

          protected SAML11AssertionWriter assertionWriter

  - ### Constructor Detail

    - #### SAML11ResponseWriter

          public SAML11ResponseWriter(XMLStreamWriter writer)

  - ### Method Detail

    - #### write

          public void write(SAML11ResponseType response)
                     throws ProcessingException

      Throws:
        `ProcessingException`

    - #### write

          public void write(SAML11StatusType status)
                     throws ProcessingException

      Throws:
        `ProcessingException`

    - #### write

          public void write(SAML11StatusCodeType statusCode)
                     throws ProcessingException

      Throws:
        `ProcessingException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.